#!/bin/bash

INSTALL_PATH=/lib/modules/`uname -r`/kernel/drivers/hid
WORKING_DIR=$(pwd)

#judge User
if [[ `id -u` != 0 ]]
then
	echo "Must be run as root or use sudo"
	exit 1
fi

echo "rmmod hid_multitouch"
rmmod hid_multitouch

#cd $INSTALL_PATH

# backup shipped modules
mv -f $INSTALL_PATH/hid-multitouch.ko $INSTALL_PATH/hid-multitouch.ko.orig

cp $WORKING_DIR/drivers/hid/hid-multitouch.ko $INSTALL_PATH/hid-multitouch.ko

echo "insmod $INSTALL_PATH/hid-multitouch.ko"
insmod $INSTALL_PATH/hid-multitouch.ko

echo "depmod -a"
depmod -a


